Bug 1462090 - [RFE] Improve content view publication and promotion speed
[RFE] Improve content view publication and promotion speed
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Performance (Show other bugs)
6.2.9
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 03:32 EDT by Sergi Jimenez Romero
Modified: 2018-07-12 01:49 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergi Jimenez Romero 2017-06-16 03:32:52 EDT
Description of problem:

We need more than an hour to do a new content-view publication and promotion to the first environment

Version-Release number of selected component (if applicable):
6.2.9

How reproducible:
Always

Steps to Reproduce:
# publish cv
[root@sat6 ~]# time hammer content-view publish --id 3
[...................................................................................................................................................] [100%]

real    26m46.722s
user    0m7.689s
sys     0m4.333s

# update ccv
[root@sat6 ~]# hammer content-view remove-version --id=9 --content-view-version-id=653
The component version has been removed
[root@sat6 ~]# hammer content-view add-version --id=9 --content-view-version-id=661
The component version has been added

# publish ccv
[root@sat6 ~]# time hammer content-view publish --id 9
[...................................................................................................................................................] [100%]

real    24m36.175s
user    0m6.524s
sys     0m3.574s

# promote ccv
[root@sat6 ~]# time hammer content-view version promote --id 662 --organization myorg --to-lifecycle-environment Lab                         [...................................................................................................................................................] [100%]

real    17m49.099s
user    0m5.197s
sys     0m2.517s
Comment 2 Brad Buckingham 2017-06-20 13:36:31 EDT
Can you provide more details on the content that is in the content view being published and promoted?  E.g. listing of repos (if available), # packages, erratum...etc
Comment 8 Sergi Jimenez Romero 2017-06-22 04:43:24 EDT
(In reply to Brad Buckingham from comment #2)
> Can you provide more details on the content that is in the content view
> being published and promoted?  E.g. listing of repos (if available), #
> packages, erratum...etc

Please find the info attached, plain text file is hammer output and also some screenshots from the web UI. Let me know if anything is missing.

Note You need to log in before you can comment on or make changes to this bug.